Ruby: rb_ractor_struct Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
rb_ractor_struct Struct Reference

## Data Fields
struct rb_ractor_pub | pub
struct rb_ractor_sync | sync
struct { |
struct ccan_list_head set |
unsigned int cnt |
unsigned int blocking_cnt |
unsigned int sleeper |
struct rb_thread_sched sched |
rb_execution_context_t * running_ec |
rb_thread_t * main |
} | threads
VALUE | thgroup_default
VALUE | name
VALUE | loc
enum ractor_status | status_
struct ccan_list_node | vmlr_node
rb_serial_t | next_ec_serial
st_table * | local_storage
struct rb_id_table * | idkey_local_storage
VALUE | local_storage_store_lock
VALUE | r_stdin
VALUE | r_stdout
VALUE | r_stderr
VALUE | verbose
VALUE | debug
bool | malloc_gc_disabled
void * | newobj_cache

## Detailed Description

Definition at line 68 of file ractor_core.h.

## Field Documentation

## ◆ blocking_cnt

unsigned int rb_ractor_struct::blocking_cnt

Definition at line 76 of file ractor_core.h.

## ◆ cnt

unsigned int rb_ractor_struct::cnt

Definition at line 75 of file ractor_core.h.

## ◆ debug

VALUE rb_ractor_struct::debug

Definition at line 104 of file ractor_core.h.

## ◆ idkey_local_storage

struct rb_id_table* rb_ractor_struct::idkey_local_storage

Definition at line 97 of file ractor_core.h.

## ◆ loc

VALUE rb_ractor_struct::loc

Definition at line 86 of file ractor_core.h.

## ◆ local_storage

st_table* rb_ractor_struct::local_storage

Definition at line 96 of file ractor_core.h.

## ◆ local_storage_store_lock

VALUE rb_ractor_struct::local_storage_store_lock

Definition at line 98 of file ractor_core.h.

## ◆ main

rb_thread_t* rb_ractor_struct::main

Definition at line 80 of file ractor_core.h.

## ◆ malloc_gc_disabled

bool rb_ractor_struct::malloc_gc_disabled

Definition at line 106 of file ractor_core.h.

## ◆ name

VALUE rb_ractor_struct::name

Definition at line 85 of file ractor_core.h.

## ◆ newobj_cache

void* rb_ractor_struct::newobj_cache

Definition at line 107 of file ractor_core.h.

## ◆ next_ec_serial

rb_serial_t rb_ractor_struct::next_ec_serial

Definition at line 94 of file ractor_core.h.

## ◆ pub

struct rb_ractor_pub rb_ractor_struct::pub

Definition at line 69 of file ractor_core.h.

## ◆ r_stderr

VALUE rb_ractor_struct::r_stderr

Definition at line 102 of file ractor_core.h.

## ◆ r_stdin

VALUE rb_ractor_struct::r_stdin

Definition at line 100 of file ractor_core.h.

## ◆ r_stdout

VALUE rb_ractor_struct::r_stdout

Definition at line 101 of file ractor_core.h.

## ◆ running_ec

rb_execution_context_t* rb_ractor_struct::running_ec

Definition at line 79 of file ractor_core.h.

## ◆ sched

struct rb_thread_sched rb_ractor_struct::sched

Definition at line 78 of file ractor_core.h.

## ◆ set

struct ccan_list_head rb_ractor_struct::set

Definition at line 74 of file ractor_core.h.

## ◆ sleeper

unsigned int rb_ractor_struct::sleeper

Definition at line 77 of file ractor_core.h.

## ◆ status_

enum ractor_status rb_ractor_struct::status_

Definition at line 88 of file ractor_core.h.

## ◆ sync

struct rb_ractor_sync rb_ractor_struct::sync

Definition at line 70 of file ractor_core.h.

## ◆ thgroup_default

VALUE rb_ractor_struct::thgroup_default

Definition at line 83 of file ractor_core.h.

## ◆ verbose

VALUE rb_ractor_struct::verbose

Definition at line 103 of file ractor_core.h.

## ◆ vmlr_node

struct ccan_list_node rb_ractor_struct::vmlr_node

Definition at line 90 of file ractor_core.h.

The documentation for this struct was generated from the following file:

- ractor_core.h